<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.LoginActivity">
    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:src="@drawable/login_bg"
        android:scaleType="centerCrop"/>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="200dp"
            android:gravity="center">


            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="成都市青白江区教育一体化综合平台"
                    android:textColor="#3ca0e9"
                    android:textSize="40dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="14dp"
                    android:text="---------- Chengdu Qingbaijiang Integrated Education Platform ---------"
                    android:textColor="#3ca0e9"
                    android:textSize="16dp"
                    android:textStyle="normal" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="500dp"
                    android:layout_height="400dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_30"
                    android:background="@drawable/shape_login_form"
                    android:orientation="vertical"
                    android:padding="@dimen/d_20">

                    <com.flyco.tablayout.CommonTabLayout
                        android:id="@+id/tabLayout"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        app:tl_iconVisible="false"
                        app:tl_indicator_color="#3ca0e9"
                        app:tl_indicator_height="@dimen/dp_4"
                        app:tl_indicator_width="150dp"
                        app:tl_textSelectColor="#3ca0e9"
                        app:tl_textUnselectColor="#333"
                        app:tl_textsize="18dp" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:id="@+id/qrLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_20"
                        android:orientation="vertical"
                        android:gravity="center_horizontal"
                        android:paddingHorizontal="@dimen/d_30"
                        android:visibility="gone">

                        <ImageView
                            android:id="@+id/qrCodeImg"
                            android:layout_width="200dp"
                            android:layout_height="200dp"
                            android:background="@color/blue2"/>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="扫码 > 关注 > 登录"
                            android:layout_marginTop="@dimen/d_20"
                            android:background="@drawable/shape_login_round"
                            android:textColor="@color/white"
                            android:paddingVertical="@dimen/d_10"
                            android:paddingHorizontal="@dimen/d_30"/>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:id="@+id/accountLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_20"
                        android:orientation="vertical"
                        android:paddingHorizontal="@dimen/d_30"
                        android:visibility="visible">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="#f0f3f5"
                            android:padding="@dimen/d_10"
                            android:gravity="center_vertical">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:src="@mipmap/ic_psw" />

                            <EditText
                                android:id="@+id/accountEdit"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_10"
                                android:layout_weight="1"
                                android:background="@null"
                                android:hint="账号"
                                android:text=""
                                android:inputType="phone"
                                android:singleLine="true" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/d_30"
                            android:background="#f0f3f5"
                            android:padding="@dimen/d_10"
                            android:gravity="center_vertical">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:src="@mipmap/ic_account" />

                            <EditText
                                android:id="@+id/pswEdit"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_10"
                                android:layout_weight="1"
                                android:background="@null"
                                android:inputType="textPassword"
                                android:hint="密码"
                                android:text=""
                                android:singleLine="true" />
                        </LinearLayout>

                        <CheckBox
                            android:id="@+id/pswCheckbox"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="记住账号密码"
                            android:checked="true"
                            android:layout_marginTop="@dimen/d_20"/>

                        <androidx.appcompat.widget.AppCompatButton
                            android:id="@+id/loginBtn"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="登 录"
                            android:layout_marginTop="@dimen/d_20"
                            android:background="@drawable/btn_blue_select"
                            android:textColor="@color/white"
                            android:textSize="@dimen/d_20"/>

                    </androidx.appcompat.widget.LinearLayoutCompat>
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>